> ## Documentation Index
> Fetch the complete documentation index at: https://help.ezyid.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve Asset

> Retrieve a single asset.



## OpenAPI

````yaml GET /api/assets/{apkId}
openapi: 3.0.1
info:
  title: EZYiD API
  version: '1.0'
servers:
  - url: https://api-external.ezyid.io
security: []
tags:
  - name: EZYiD.External.API
paths:
  /api/assets/{apkId}:
    get:
      tags:
        - EZYiD.External.API
      operationId: EZYiDExternalAPIAssetGetAsset
      parameters:
        - name: apkId
          in: path
          required: true
          schema:
            type: integer
            format: int32
        - name: apiKey
          in: query
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AssetListItem'
        '400':
          description: Bad Request
        '404':
          description: Not Found
components:
  schemas:
    AssetListItem:
      type: object
      properties:
        id:
          type: integer
          format: int32
        batch:
          type: string
          nullable: true
        ezyid:
          type: string
        serialNumber:
          type: string
        manufacturerName:
          type: string
          nullable: true
        assetStatus:
          $ref: '#/components/schemas/NullableOfAssetStatus'
        expiryDate:
          type: string
          format: date-time
          nullable: true
        lastInspectionDate:
          type: string
          format: date-time
          nullable: true
        nextInspectionDate:
          type: string
          format: date-time
          nullable: true
        apkId:
          type: integer
          format: int32
          nullable: true
        assetLocation:
          type: string
          nullable: true
        assetLatitude:
          type: number
          format: double
          nullable: true
        assetLongitude:
          type: number
          format: double
          nullable: true
        nextCheckupDate:
          type: string
          format: date-time
          nullable: true
        nextMaintenanceDate:
          type: string
          format: date-time
          nullable: true
        customID:
          type: string
          nullable: true
        binLocationID:
          type: integer
          format: int32
          nullable: true
        subscriberID:
          type: integer
          format: int32
        category:
          type: integer
          format: int32
        assetName:
          type: string
        modelNumber:
          type: string
    NullableOfAssetStatus:
      type: integer
      nullable: true

````